Passer au contenu

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
Télécharger la description d'OpenAPI
Langues
Serveurs
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/fr/api/catalog/
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations

Mettre à jour un jeu par IDServer-sideAdmin

Requête

Met à jour les informations d'un jeu dans le projet par son ID.

Sécurité
basicAuth
Chemin
project_idintegerobligatoire

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemple: 44056
item_idstringobligatoire

ID de l'objet

Exemple: 656
Corpsapplication/jsonobligatoire

Objet contenant des données de jeu.

attributesArray of objects(Game-Keys_admin-post-put-attributes)<= 20 items

Liste des attributs.

Attention. La création de plus de 20 attributs pour un objet n'est pas autorisée. Toute tentative de dépassement entraîne une erreur.
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$obligatoire

ID unique de l'attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des tirets et des traits bas.

attributes[].​nameobject(admin-attribute-name)

Objet contenant des versions localisées du nom de l'attribut. Les clés sont spécifiées selon la norme ISO 3166-1.

attributes[].​name.​property name*stringpropriété supplémentaire
attributes[].​valuesArray of objects(attribute-value)obligatoire
Attention. La création de plus de 6 valeurs pour un attribut n'est pas autorisée. Toute tentative de dépassement entraînera une erreur.
Exemple: [{"external_id":"strategy","value":{"de":"Strategie","en":"Strategy"}},{"external_id":"action","value":{"de":"Aktion","en":"Action"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$obligatoire

ID unique de la valeur d'un attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules, des tirets et des tirets bas.

Exemple: "value_external_id"
attributes[].​values[].​valueobject(value-name)obligatoire

Objet contenant des versions localisées du nom de la valeur. Les clés sont spécifiées selon la norme ISO 3166-1.

attributes[].​values[].​value.​property name*stringpropriété supplémentaire
description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Conteneur objet contenant les localisations de la description de l'objet (item). Il accepte deux formats de codes de langue : les codes à deux lettres minuscules (comme en) et les codes régionaux à cinq caractères (comme en-US). Les deux formats sont valides en entrée, mais les réponses utilisent toujours le format à deux lettres. Si les deux variantes sont fournies pour une même langue (par exemple, en et en-US), seule la dernière est conservée. Consultez la documentation pour la liste complète des langues prises en charge.

Exemple: {"en-US":"Game description","ru-RU":"Краткое описание игры"}
Any of:

Codes de langue à deux lettres minuscules.

description.​arstring or null

Arabe

description.​bgstring or null

Bulgare

description.​cnstring or null

Chinois (simplifié)

description.​csstring or null

Tchèque

description.​destring or null

Allemand

description.​enstring or null

Anglais

description.​esstring or null

Espagnol (Espagne)

description.​frstring or null

Français

description.​hestring or null

Hébreu

description.​idstring or null

Indonésien

description.​itstring or null

Italien

description.​jastring or null

Japonais

description.​kmstring or null

Khmer

description.​kostring or null

Coréen

description.​lostring or null

Laotien

description.​mystring or null

Birman

description.​nestring or null

Népalais

description.​phstring or null

Philippin

description.​plstring or null

Polonais

description.​ptstring or null

Portugais

description.​rostring or null

Roumain

description.​rustring or null

Russe

description.​thstring or null

Thaï

description.​trstring or null

Turc

description.​twstring or null

Chinois (traditionnel)

description.​vistring or null

Vietnamien

groupsArray of objects

Groupes auxquels l'objet appartient.

Exemple: ["new_games"]
groups[].​external_idstringobligatoire
Exemple: "horror"
image_urlstring

URL de l'image.

Exemple: "http://image.png"
is_enabledboolean

Si ce paramètre est désactivé, l'objet ne peut pas être acheté et n'est pas accessible par le biais de l'inventaire.

Exemple: true
is_show_in_storeboolean

L'objet est disponible à l'achat.

Exemple: true
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Conteneur objet contenant les localisations de la description complète de l'objet (item). Il accepte deux formats de codes de langue : les codes à deux lettres minuscules (comme en) et les codes régionaux à cinq caractères (comme en-US). Les deux formats sont valides en entrée, mais les réponses utilisent toujours le format à deux lettres. Si les deux variantes sont fournies pour une même langue (par exemple, en et en-US), seule la dernière est conservée. Consultez la documentation pour la liste complète des langues prises en charge.

Exemple: {"en-US":"Game long description","ru-RU":"Полное описание игры"}
Any of:

Codes de langue à deux lettres minuscules.

long_description.​arstring or null

Arabe

long_description.​bgstring or null

Bulgare

long_description.​cnstring or null

Chinois (simplifié)

long_description.​csstring or null

Tchèque

long_description.​destring or null

Allemand

long_description.​enstring or null

Anglais

long_description.​esstring or null

Espagnol (Espagne)

long_description.​frstring or null

Français

long_description.​hestring or null

Hébreu

long_description.​idstring or null

Indonésien

long_description.​itstring or null

Italien

long_description.​jastring or null

Japonais

long_description.​kmstring or null

Khmer

long_description.​kostring or null

Coréen

long_description.​lostring or null

Laotien

long_description.​mystring or null

Birman

long_description.​nestring or null

Népalais

long_description.​phstring or null

Philippin

long_description.​plstring or null

Polonais

long_description.​ptstring or null

Portugais

long_description.​rostring or null

Roumain

long_description.​rustring or null

Russe

long_description.​thstring or null

Thaï

long_description.​trstring or null

Turc

long_description.​twstring or null

Chinois (traditionnel)

long_description.​vistring or null

Vietnamien

media_listArray of objects

Ressources supplémentaires du jeu, telles que des captures d'écran, des vidéos de gameplay, etc.

Exemple: [{"type":"image","url":"http://image.png"},{"type":"video","url":"http://video.png"}]
media_list[].​typestring

Type de média : image/video.

Enum"image""video"
Exemple: "image"
media_list[].​urlstring

Fichier de ressources.

Exemple: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)obligatoire

Conteneur objet contenant les localisations du nom de l'objet (item). Il accepte deux formats de codes de langue : les codes à deux lettres minuscules (comme en) et les codes régionaux à cinq caractères (comme en-US). Les deux formats sont valides en entrée, mais les réponses utilisent toujours le format à deux lettres. Si les deux variantes sont fournies pour une même langue (par exemple, en et en-US), seule la dernière est conservée. Consultez la documentation pour la liste complète des langues prises en charge.

Exemple: {"en-US":"Game name","ru-RU":"Название игры"}
Any of:

Codes de langue à deux lettres minuscules.

name.​arstring or null

Arabe

name.​bgstring or null

Bulgare

name.​cnstring or null

Chinois (simplifié)

name.​csstring or null

Tchèque

name.​destring or null

Allemand

name.​enstring or null

Anglais

name.​esstring or null

Espagnol (Espagne)

name.​frstring or null

Français

name.​hestring or null

Hébreu

name.​idstring or null

Indonésien

name.​itstring or null

Italien

name.​jastring or null

Japonais

name.​kmstring or null

Khmer

name.​kostring or null

Coréen

name.​lostring or null

Laotien

name.​mystring or null

Birman

name.​nestring or null

Népalais

name.​phstring or null

Philippin

name.​plstring or null

Polonais

name.​ptstring or null

Portugais

name.​rostring or null

Roumain

name.​rustring or null

Russe

name.​thstring or null

Thaï

name.​trstring or null

Turc

name.​twstring or null

Chinois (traditionnel)

name.​vistring or null

Vietnamien

orderinteger

Ordre de priorité des jeux dans la liste.

Exemple: 1
skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$obligatoire

ID unique de l'objet. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "com.xsolla.game_1"
unit_itemsArray of objectsobligatoire

Clés de jeu pour différents DRM.

Exemple: [{"drm_sku":"steam_key_1","is_enabled":true,"is_free":false,"is_show_in_store":true,"limits":{"per_item":{"available":5000,"reserved":500,"sold":4500,"total":10000},"per_user":{"total":5}},"name":{"en-US":"Game key name","ru-RU":"Название игрового ключа"},"periods":[{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}],"pre_order":{"description":"Some description","is_enabled":true,"release_date":"2020-08-11T10:00:00+03:00"},"prices":[{"amount":35.5,"currency":"USD","is_default":true,"is_enabled":true}],"regions":[{"id":12},{"id":64}],"sku":"com.xsolla.game_key_1","vc_prices":[{"amount":35.5,"is_default":true,"is_enabled":true,"sku":"com.xsolla.gold_1"}]}]
unit_items[].​attributesArray of objects(Game-Keys_admin-attributes)

Liste des attributs.

Exemple: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
unit_items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$obligatoire

ID unique de l'attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des tirets et des traits bas.

Exemple: "attribute_external_id"
unit_items[].​attributes[].​nameobject(admin-attribute-name)

Objet contenant des versions localisées du nom de l'attribut. Les clés sont spécifiées selon la norme ISO 3166-1.

Exemple: {"de":"Attributname","en":"Attribute name"}
unit_items[].​attributes[].​name.​property name*stringpropriété supplémentaire
unit_items[].​attributes[].​valuesArray of objects(attribute-value)obligatoire
Exemple: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
unit_items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$obligatoire

ID unique de la valeur d'un attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules, des tirets et des tirets bas.

Exemple: "value_external_id"
unit_items[].​attributes[].​values[].​valueobject(value-name)obligatoire

Objet contenant des versions localisées du nom de la valeur. Les clés sont spécifiées selon la norme ISO 3166-1.

unit_items[].​attributes[].​values[].​value.​property name*stringpropriété supplémentaire
unit_items[].​drm_skustringobligatoire

ID unique du DRM.

Exemple: "steam"
unit_items[].​groupsArray of objects

Groupes auxquels l'objet appartient.

unit_items[].​groups[].​external_idstringobligatoire
Exemple: "horror"
unit_items[].​is_enabledboolean

Si ce paramètre est désactivé, l'objet ne peut pas être acheté et n'est pas accessible par le biais de l'inventaire.

unit_items[].​is_freeboolean(value-is_free)

Détermine la gratuité de l'objet.

unit_items[].​is_show_in_storeboolean

L'objet est disponible à l'achat.

unit_items[].​limitsobject(Game-key-item-limit)

Limites d'objets.

unit_items[].​limits.​per_iteminteger or null(limit_per_item)

Limites globales d'objets.

unit_items[].​limits.​per_userlimit_per_user (null) or limit_per_user (integer) or limit_per_user (object)(limit_per_user)

Limites d'objets pour un utilisateur spécifique.

Any of:

Limites d'objets pour un utilisateur spécifique.

null(limit_per_user)
unit_items[].​limits.​recurrent_scheduleobject or null(game_key_recurrent_schedule)

Délai d'actualisation des limites.

unit_items[].​limits.​recurrent_schedule.​per_userinterval_type = daily (object) or interval_type = weekly (object) or interval_type = monthly (object)
One of:

Type quotidien d'actualisation des limites pour l'utilisateur.

unit_items[].​limits.​recurrent_schedule.​per_user.​interval_typestringobligatoire

Délai d'actualisation récurrent.

Valeur"daily"
unit_items[].​limits.​recurrent_schedule.​per_user.​timestring((0[0-9]|1[0-9]|2[0-3]):00:00)(\+|-)(0[0-9]|1...obligatoire

Heure d'actualisation des limites dans le fuseau horaire souhaité (arrondie en heures).

Exemple: "02:00:00+03:00"
unit_items[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

Conteneur objet contenant les localisations du nom de l'objet (item). Il accepte deux formats de codes de langue : les codes à deux lettres minuscules (comme en) et les codes régionaux à cinq caractères (comme en-US). Les deux formats sont valides en entrée, mais les réponses utilisent toujours le format à deux lettres. Si les deux variantes sont fournies pour une même langue (par exemple, en et en-US), seule la dernière est conservée. Consultez la documentation pour la liste complète des langues prises en charge.

Any of:

Codes de langue à deux lettres minuscules.

unit_items[].​name.​arstring or null

Arabe

unit_items[].​name.​bgstring or null

Bulgare

unit_items[].​name.​cnstring or null

Chinois (simplifié)

unit_items[].​name.​csstring or null

Tchèque

unit_items[].​name.​destring or null

Allemand

unit_items[].​name.​enstring or null

Anglais

unit_items[].​name.​esstring or null

Espagnol (Espagne)

unit_items[].​name.​frstring or null

Français

unit_items[].​name.​hestring or null

Hébreu

unit_items[].​name.​idstring or null

Indonésien

unit_items[].​name.​itstring or null

Italien

unit_items[].​name.​jastring or null

Japonais

unit_items[].​name.​kmstring or null

Khmer

unit_items[].​name.​kostring or null

Coréen

unit_items[].​name.​lostring or null

Laotien

unit_items[].​name.​mystring or null

Birman

unit_items[].​name.​nestring or null

Népalais

unit_items[].​name.​phstring or null

Philippin

unit_items[].​name.​plstring or null

Polonais

unit_items[].​name.​ptstring or null

Portugais

unit_items[].​name.​rostring or null

Roumain

unit_items[].​name.​rustring or null

Russe

unit_items[].​name.​thstring or null

Thaï

unit_items[].​name.​trstring or null

Turc

unit_items[].​name.​twstring or null

Chinois (traditionnel)

unit_items[].​name.​vistring or null

Vietnamien

unit_items[].​orderinteger

Ordre de priorité des jeux dans la liste.

Exemple: 1
unit_items[].​periodsArray of objects or null(item-periods)

Période de vente d'objets.

unit_items[].​periods[].​date_fromstring(date-time)

Date de mise en vente de l'objet spécifié.

Exemple: "2020-08-11T10:00:00+03:00"
unit_items[].​periods[].​date_untilstring or null(date-time)

Date de retrait de la vente de l'objet spécifié. Peut prendre la valeur null.

Exemple: "2020-08-11T20:00:00+03:00"
unit_items[].​pre_orderobject

Paramètres de pré-commande.

unit_items[].​pre_order.​descriptionstring

Informations supplémentaires pour la pré-commande, qui sera envoyée par e-mail.

unit_items[].​pre_order.​is_enabledbooleanobligatoire

Si ce paramètre est désactivé, l'objet n'est pas une pré-commande.

unit_items[].​pre_order.​release_datestringobligatoire

Date de publication de la clé de jeu au format ISO 8601.

unit_items[].​pricesArray of objectsobligatoire

Prix en devises réelles.

unit_items[].​prices[].​amountnumberobligatoire
Exemple: 1299.99
unit_items[].​prices[].​currencystringobligatoire

Devise du prix de l'article. Code à trois lettres selon ISO 4217. Consultez la documentation pour obtenir des informations détaillées sur les devises prises en charge par Xsolla.

Exemple: "RUB"
unit_items[].​prices[].​is_defaultbooleanobligatoire

Le prix par défaut est utilisé pour constituer le catalogue si aucun prix n'est spécifié dans la devise de l'utilisateur.

unit_items[].​prices[].​is_enabledbooleanobligatoire
unit_items[].​regionsArray of objects(Game-Keys_regions)
unit_items[].​regions[].​idinteger
Exemple: 1
unit_items[].​skustring[ 1 .. 255 ] charactersobligatoire

ID unique de l'objet. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "game_1"
unit_items[].​vc_pricesArray of objects
unit_items[].​vc_prices[].​amountnumberobligatoire
unit_items[].​vc_prices[].​is_defaultbooleanobligatoire
unit_items[].​vc_prices[].​is_enabledbooleanobligatoire
unit_items[].​vc_prices[].​skustring

ID unique de l'objet. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "gold"
curl -i -X PUT \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/game/id/656 \
  -H 'Content-Type: application/json' \
  -d '{
    "description": {
      "en-US": "Game description",
      "ru-RU": "Краткое описание игры"
    },
    "groups": [
      "new_games"
    ],
    "image_url": "http://image.png",
    "is_enabled": true,
    "is_show_in_store": true,
    "long_description": {
      "en-US": "Game long description",
      "ru-RU": "Полное описание игры"
    },
    "media_list": [
      {
        "type": "image",
        "url": "http://image.png"
      },
      {
        "type": "video",
        "url": "http://video.png"
      }
    ],
    "name": {
      "en-US": "Game name",
      "ru-RU": "Название игры"
    },
    "sku": "com.xsolla.game_1",
    "unit_items": [
      {
        "drm_sku": "steam_key_1",
        "is_enabled": true,
        "is_free": false,
        "is_show_in_store": true,
        "limits": {
          "per_item": {
            "available": 5000,
            "reserved": 500,
            "sold": 4500,
            "total": 10000
          },
          "per_user": {
            "total": 5
          }
        },
        "name": {
          "en-US": "Game key name",
          "ru-RU": "Название игрового ключа"
        },
        "periods": [
          {
            "date_from": "2020-08-11T10:00:00+03:00",
            "date_until": "2020-08-11T20:00:00+03:00"
          }
        ],
        "pre_order": {
          "description": "Some description",
          "is_enabled": true,
          "release_date": "2020-08-11T10:00:00+03:00"
        },
        "prices": [
          {
            "amount": 35.5,
            "currency": "USD",
            "is_default": true,
            "is_enabled": true
          }
        ],
        "regions": [
          {
            "id": 12
          },
          {
            "id": 64
          }
        ],
        "sku": "com.xsolla.game_key_1",
        "vc_prices": [
          {
            "amount": 35.5,
            "is_default": true,
            "is_enabled": true,
            "sku": "com.xsolla.gold_1"
          }
        ]
      }
    ]
  }'

Réponses

Le jeu a été mis à jour avec succès.

Réponse
Aucun contenu

Supprimer des codes par IDServer-sideAdmin

Requête

Supprime tous les codes par ID de clé de jeu.

Sécurité
basicAuth
Chemin
project_idintegerobligatoire

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemple: 44056
item_idstringobligatoire

ID de l'objet

Exemple: 656
Requête
user_emailstringobligatoire

Adresse e-mail de l'utilisateur.

Exemple: user_email=email@email.com
reasonstringobligatoire

Raison pour laquelle les codes sont reçus.

Exemple: reason=Very important
region_idinteger

ID de la région.

Par défaut 1
curl -i -X DELETE \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/game/key/delete/id/656?user_email=email%40email.com&reason=Very+important&region_id=1'

Réponses

Les codes ont été reçus avec succès.

Corpstext/plain
string
Réponse
text/plain
PIN-CODE-ALL PIN-CODE-ALL-3

Requête

Supprime tous les codes par UGS de clé de jeu.

Sécurité
basicAuth
Chemin
project_idintegerobligatoire

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemple: 44056
item_skustringobligatoire

UGS de l'objet.

Exemple: booster_mega_1
Requête
user_emailstringobligatoire

Adresse e-mail de l'utilisateur.

Exemple: user_email=email@email.com
reasonstringobligatoire

Raison pour laquelle les codes sont reçus.

Exemple: reason=Very important
region_idinteger

ID de la région.

Par défaut 1
curl -i -X DELETE \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/game/key/delete/sku/booster_mega_1?user_email=email%40email.com&reason=Very+important&region_id=1'

Réponses

Les codes ont été reçus avec succès.

Corpstext/plain
string
Réponse
text/plain
PIN-CODE-ALL PIN-CODE-ALL-3
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations

Catalogue

Cette API permet de récupérer tout type d'objet vendable ou tout objet spécifique.

Opérations
Opérations
Opérations
Opérations
Opérations